<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMaternityMatronOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        /*
         *
        'wechat_id', // 微信号id(open_id)
        'level', // 月嫂等级
        'expected_date', // 预产期
        'server_time', // 服务时间
        'special_demand', // 特殊需求
        'address', // 服务地址
        'contact', // 联系人
        'phone',	//联系电话
        'status', // 订单状态
        'price' // 订单价格
         */
        Schema::create('maternity_matron_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->string('wechat_id');
            $table->string('level');
            $table->string('expected_date');
            $table->string('server_time');
            $table->string('special_demand');
            $table->string('remark');
            $table->string('contact');
            $table->string('address');
            $table->string('phone');
            $table->integer('status');
            $table->double('price');
            $table->string('photo');
            $table->unsignedInteger('comment_id');
            $table->timestamps();
            $table->timestamp("paid_at");
            $table->unsignedInteger('classify');
            $table->string('classify1');
            $table->string('classify2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('maternity_matron_orders');
    }
}
